Loading...
Searching...
No Matches
Dune::cpgrid::Entity2IndexDataHandle< DataHandle, codim > Class Template Reference

Wrapper that turns a data handle suitable for dune-grid into one based on integers instead of entities. More...

`#include <Entity2IndexDataHandle.hpp>`

## Public Types

typedef DataHandle::DataType | DataType

## Public Member Functions

| Entity2IndexDataHandle (const CpGridData &grid, DataHandle &data)
| Entity2IndexDataHandle (const CpGridData &fromGrid, const CpGridData &toGrid, DataHandle &data)
bool | fixedSize ()
std::size_t | size (std::size_t i)
template<class B>
void | gather (B &buffer, std::size_t i)
template<class B>
void | scatter (B &buffer, std::size_t i, std::size_t s)

## Detailed Description

template<class DataHandle, int codim>
class Dune::cpgrid::Entity2IndexDataHandle< DataHandle, codim >

Wrapper that turns a data handle suitable for dune-grid into one based on integers instead of entities.

Template Parameters

  DataHandle | The type of the data handle to wrap. Has to adhere to the interface of Dune::DataHandleIf
  codim | The codimension to use when mapping indices to Entities.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/Entity2IndexDataHandle.hpp